--------------------------------------------------------------------
-- s_push_return4.lua
-- ボタン（Return4）押下時の処理
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

-- カーソル移動先ポイント初期化
require(".\\scripts\\menu\\s_init_destpos_select_difficulty")

-----------------------------------------------------------------
-- UI の表示/非表示
-----------------------------------------------------------------

-- Select Mode
Scene.SetVisible_Bar( 0, 0, 0 ) ; -- 1 Player
Scene.SetVisible_Bar( 0, 1, 0 ) ; -- 2 Players
Scene.SetVisible_Bar( 0, 2, 0 ) ; -- Records
Scene.SetVisible_Bar( 0, 3, 0 ) ; -- Return

-- Select Difficulty
Scene.SetVisible_Bar( 0, 4, 1 ) ; -- Com1
Scene.SetVisible_Bar( 0, 5, 1 ) ; -- Com2
Scene.SetVisible_Bar( 0, 6, 1 ) ; -- Com3
Scene.SetVisible_Bar( 0, 7, 1 ) ; -- Com4
Scene.SetVisible_Bar( 0, 8, 1 ) ; -- Com5
Scene.SetVisible_Bar( 0, 9, 1 ) ; -- Return

-- Select Flower
Scene.SetVisible_Bar( 0, 10, 1 ) ; -- Flower1
Scene.SetVisible_Bar( 0, 11, 1 ) ; -- Flower2
Scene.SetVisible_Bar( 0, 12, 1 ) ; -- Return

-- Records
Scene.SetVisible_Plate( 0, 0, 0 ) ;
Scene.SetVisible_Bar( 0, 13, 0 ) ; -- Return


-----------------------------------------------------------------
-- メイン処理
-----------------------------------------------------------------

-- 一旦エフェクトを削除する
Scene.KillEffect( 0, EFFECT_MODEL )

-- SE再生（キャンセル）
PlaySE_Button_Cancel()

-- 画面サブタイトル表示
Scene.ExecEffectScript( 0, ".\\scripts\\menu\\e_select_difficulty.lua" )

-- カメラ移動
Scene.SetCamera(
	0,
	CAMERA_SELECT_DIFFICULTY[1], CAMERA_SELECT_DIFFICULTY[2], CAMERA_SELECT_DIFFICULTY[3],
	CAMERA_SELECT_DIFFICULTY[4], CAMERA_SELECT_DIFFICULTY[5], CAMERA_SELECT_DIFFICULTY[6],
	INTERPOLATION_EASE_OUT,
	 20 )

-- ボタン押下演出
Scene.ExecEffectScript_CursorPos( 0, ".\\scripts\\menu\\e_push_button.lua" )

-- 各種変数設定
Scene.SetEnvParameterInt( 0, "EnableInput", 0 )
Scene.SetEnvParameterInt( 20, "EnableInput", 1 )


-----------------------------------------------------------------
-- UI の表示/非表示
-----------------------------------------------------------------

-- Select Mode
Scene.SetVisible_Bar( 0, 0, 0 ) ; -- 1 Player
Scene.SetVisible_Bar( 0, 1, 0 ) ; -- 2 Players
Scene.SetVisible_Bar( 0, 2, 0 ) ; -- Records
Scene.SetVisible_Bar( 0, 3, 0 ) ; -- Return

-- Select Difficulty
Scene.SetVisible_Bar( 0, 4, 1 ) ; -- Com1
Scene.SetVisible_Bar( 0, 5, 1 ) ; -- Com2
Scene.SetVisible_Bar( 0, 6, 1 ) ; -- Com3
Scene.SetVisible_Bar( 0, 7, 1 ) ; -- Com4
Scene.SetVisible_Bar( 0, 8, 1 ) ; -- Com5
Scene.SetVisible_Bar( 0, 9, 1 ) ; -- Return

-- Select Flower
Scene.SetVisible_Bar( 0, 10, 0 ) ; -- Flower1
Scene.SetVisible_Bar( 0, 11, 0 ) ; -- Flower2
Scene.SetVisible_Bar( 0, 12, 0 ) ; -- Return

-- Records
Scene.SetVisible_Plate( 0, 0, 0 ) ;
Scene.SetVisible_Bar( 0, 13, 0 ) ; -- Return


